Delete category
Soft-deletes a category. Requires a Write key.
DELETE
/categories/{categoryId}Authorization
AuthorizationBearer token (API key) · headerrequiredOrganization API key.
Path parameters
categoryIdstringrequiredResponses
200Soft-deleted
successbooleanrequired403Unauthorized
statusCodeintegerrequiredHTTP status code
messagestringrequiredHuman-readable error message
timestampstring<date-time>requiredpathstringrequiredRequest path
404Not found
statusCodeintegerrequiredHTTP status code
messagestringrequiredHuman-readable error message
timestampstring<date-time>requiredpathstringrequiredRequest path
Request
curl -X DELETE "https://dashboard.scango.ch/api/v1/categories/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://dashboard.scango.ch/api/v1/categories/string", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});Response
{
"success": true
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}{
"statusCode": 0,
"message": "string",
"timestamp": "2024-01-01T00:00:00Z",
"path": "string"
}